# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'method_called_hook/version'

Gem::Specification.new do |spec|
  spec.name          = "method_called_hook"
  spec.version       = MethodCalledHook::VERSION
  spec.authors       = ["Habib Alamin"]
  spec.email         = ["ha.alamin@gmail.com"]
  spec.summary       = %q{Write a Ruby method that automatically gets called anytime a Ruby method is called (yo, dawg).}
  spec.homepage      = "https://github.com/habibalamin-gems/method_called_hook"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.7"
  spec.add_development_dependency "rake", "~> 10.0"
end
